Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.utils
Class QName

    java.lang.Object
      |
      +--weblogic.apache.xerces.utils.QName

public class QName
extends java.lang.Object

QName structure useful for gathering the parts of a qualified name.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: QName.java,v 1.3 2001/02/01 09:58:28 andyc Exp $
Author:
  Andy Clark

Field Summary
`int` | `localpart` Local part of qname.
`int` | `prefix` Prefix.
`int` | `rawname` Fully concatenated name.
`int` | `uri` URI bound to prefix.

Constructor Summary
`QName()` Default constructor.
`QName(int prefix, int localpart, int rawname)` Constructs a specified qname.
`QName(int prefix, int localpart, int rawname, int uri)` Constructs a specified qname.
`QName(QName qname)` Copy constructor.

Method Summary
`void` | `clear()` Clears all of the values.
`boolean` | `equals(java.lang.Object object)` Returns true if the two objects are equal.
`int` | `hashCode()` Returns a hash code value.
`void` | `setValues(int prefix, int localpart, int rawname)` Sets the values of the qualified name.
`void` | `setValues(int prefix, int localpart, int rawname, int uri)` Sets the values of the qualified name.
`void` | `setValues(QName qname)` Sets the values of the qualified name.
`java.lang.String` | `toString()` Returns a string representation of this object.
`java.lang.String` | `toString(StringPool stringPool)` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### prefix

    public int prefix

  Prefix.

### localpart

    public int localpart

  Local part of qname.

### rawname

    public int rawname

  Fully concatenated name.

### uri

    public int uri

  URI bound to prefix.

Constructor Detail

### QName

    public QName()

  Default constructor.

### QName

    public QName(int prefix,
                 int localpart,
                 int rawname)

  Constructs a specified qname.

### QName

    public QName(int prefix,
                 int localpart,
                 int rawname,
                 int uri)

  Constructs a specified qname.

### QName

    public QName(QName qname)

  Copy constructor.

Method Detail

### setValues

    public void setValues(QName qname)

  Sets the values of the qualified name.

### setValues

    public void setValues(int prefix,
                          int localpart,
                          int rawname)

  Sets the values of the qualified name.

### setValues

    public void setValues(int prefix,
                          int localpart,
                          int rawname,
                          int uri)

  Sets the values of the qualified name.

### clear

    public void clear()

  Clears all of the values.

### equals

    public boolean equals(java.lang.Object object)

  Returns true if the two objects are equal.

  Overrides:
    equals in class java.lang.Object

### hashCode

    public int hashCode()

  Returns a hash code value.

  Overrides:
    hashCode in class java.lang.Object

### toString

    public java.lang.String toString()

  Returns a string representation of this object.

  Overrides:
    toString in class java.lang.Object

### toString

    public java.lang.String toString(StringPool stringPool)

  Returns a string representation of this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference